How to do a GD Library Update

Permalink
I am currently running a C5 5.3.3.1 site on my server and am attempting to install another copy of C5 for another site. The newest version, 5.4.1.1 is asking me to update GD Library to a newer version.

I have WHM and have read through these forums and googled but can't figure out the easiest way to update GD without doing a full Apache rebuild which I feel may be beyond my abilities.

Any suggestions? Thanks.

jfuqua
View Replies: View Best Answer
Mnkras replied on at Permalink Reply
Mnkras
what php version are you running and what OS is the server running? do you have root access?
jfuqua replied on at Permalink Reply
jfuqua
Wow. Thanks for the quick reply.

I'm running PHP Version 5.2.14 with Apache 2.0.63. I do have root access.
Mnkras replied on at Permalink Reply
Mnkras
What OS are you running?
jfuqua replied on at Permalink Reply
jfuqua
Sorry. Linux.
Mnkras replied on at Permalink Reply
Mnkras
I need a specific Linux Distro, CentOS?
jfuqua replied on at Permalink Reply
jfuqua
Sorry to make this difficult but I must be overlooking it. I've looked in WHM and cPanel.

In cPanel, I see "architecture: x86_64". I don't see anything referencing CentOS.

I'll continue to look.
Mnkras replied on at Permalink Reply
Mnkras
check your phpinfo()
jfuqua replied on at Permalink Reply
jfuqua
I did that as well.

Under "system":

Linux c1093-kc01.wansecurity.net 2.6.18-194.3.1.el5 #1 SMP Thu May 13 13:08:30 EDT 2010 x86_64
jfuqua replied on at Permalink Reply
jfuqua
Found it, finally. Tiny text in the upper-right on WHM.

"CENTOS 5.6 x86_64 standard"
jfuqua replied on at Permalink Reply
jfuqua
Anyone know a solution? Thanks.
tek01 replied on at Permalink Reply
jfuqua replied on at Permalink Reply
jfuqua
Thanks.

Am I needing to upgrade Cent and PHP? All the install list is asking for is a GD Lib upgrade.
tek01 replied on at Permalink Reply
Which version of GD is the installer asking for?
jfuqua replied on at Permalink Reply
jfuqua
GD Library 2.0.1 or greater.

I am running an older version of C5 (5.3.3.1) with another domain on the same server which functions fine.
tek01 replied on at Permalink Reply
jfuqua replied on at Permalink Reply
jfuqua
:)

I never saw that thread in my searching. Thanks for your help.
jfuqua replied on at Permalink Best Answer Reply
jfuqua
Update: I went to the cPanel/WHM forum and found some answers and adding this via WHM was extremely easy once I found out how to do it. Here's the step-by-step:

In WHM, scroll down the left sidebar to "Software". Under that heading, you'll see "EasyApache (Apache Update)".

I went with the "Previously Saved Config" button selected then clicked the "Start customizing based on profile" button.

It will ask you which version of Apache you need. I kept it the same as the current one. It'll tell you which in the yellow box. Select the "Next Step" button.

Next is the PHP version window. It also tells you the current version you have. I left it the same and then clicked the "Next Step" button.

Next is the PHP minor version window. I happened to have a build no longer offered on the list. I went with the latest version and clicked the "Next Step" button.

Next is the Short Options list. I left everything as-is and clicked the "Exhaustive Options List" button.

On the Exhaustive Options List, I left everything as-is except adding GD which is under the PHP listing.

Next, build the profile and GD Library will be added. I then ran the Concrete 5 test run and got the green check on "Image Manipulation Available".